Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3828 closed task (fixed)

Switch over to new build system

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: build Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

During a four month period every RTEMS user is encouraged to test its BSPs of interest with the new build system. The user should use the following check list. Issues should be reported on devel@… or this ticket.

  1. Review the build system specification in the user manual. If something is unclear, please complain.
  1. Use "./waf bsp_defaults" to get a list of options with default values for the BSPs of interest. Check that all options are present. Check the type of the options in the build specification (e.g. actions get-integer, get-boolean, get-string). Review the description of the options. Review the default values. Add sanity checks to options (e.g. actions assert-*).
  1. Build the BSPs of interest with all tests enabled (BUILD_TESTS = True). Review the ABI and linker options. Review the linker command files. Run the test on the boards.
  1. Build the BSPs of interest with different permutations of build options. Make sure a sample set of tests runs for each permutation.
  1. Check that all artefacts (libraries, header files, start files, linker command files, etc.) are properly installed.
  1. Check that you can build your applications and third-party libraries with the installed BSPs of interest.

Change History (3)

comment:1 Changed on 12/19/19 at 08:21:07 by Sebastian Huber

Milestone: 5.16.1
Version: 56

comment:2 Changed on 12/17/21 at 08:01:03 by Christian Mauderer

RTEMS commit https://git.rtems.org/rtems/commit/?id=db8f598d56951cf43f22a5e325e0d23c8f7559f9 removed the old build system so this ticket is most likely done?

comment:3 Changed on 12/17/21 at 14:19:10 by Joel Sherrill

Resolution: fixed
Status: assignedclosed

Agreeing with Christian that this ticket is complete. Any issues with the waf build system now are being treated as bugs and the autotools one has been removed.

Note: See TracTickets for help on using tickets.